/* You can add global styles to this file, and also import other style files */

/**
 * Colors
 **/
$color-orange: #D74E09;
$color-dark-red: #621708;
$color-light-red: #941B0C;
$color-yellow: #F6AA1C;

$color-facebook: #3B5998;

$color-gray-9: #D2D2D2;
$color-gray-8: #BCBCBC;
$color-gray-7: #A6A6A6;
$color-gray-6: #909090;
$color-gray-5: #7A7A7A;
$color-gray-4: #646464;
$color-gray-3: #4E4E4E;
$color-gray-2: #383838;
$color-gray-1: #222222;
$color-gray-0: #0C0C0C;

/**
 * Font sizes
 **/
 $font-size-tiny: 8px;
 $font-size-smaller: 12px;
 $font-size-small: 14px;
 $font-size-regular: 16px;
 $font-size-medium: 18px;
 $font-size-big: 24px;
 $font-size-bigger: 28px;
 $font-size-biggest: 32px;
 $font-size-huge: 55px;

 /**
  * Fonts
  **/
@font-face { font-family: 'Open_Sans';
    src: url('~src/assets/fonts/Open_Sans/OpenSans-Regular.ttf') format('truetype'); }
@font-face { font-family: 'merriweather';
    src: url('~src/assets/fonts/Open_Sans/OpenSans-Italic.ttf') format('truetype');
    font-style: italic; }
@font-face { font-family: 'Open_Sans';
    src: url('~src/assets/fonts/Open_Sans/OpenSans-Bold.ttf') format('truetype');
    font-weight: bold; }
@font-face { font-family: 'Open_Sans';
    src: url('~src/assets/fonts/Open_Sans/OpenSans-Bolditalic.ttf') format('truetype');
    font-weight: bold;
    font-style: italic; }

/**
 * Basic Elements
 **/

 body {
  margin: 0;
  font-family:     Open_Sans, Verdana,Arial,Courier;
  overflow-y: scroll;
  background-color: $color-gray-6;
}

 // Links
 $link-underline-color: $color-gray-3;
 a{
    color: inherit;
    text-decoration: none;
    box-shadow: inset 0 0px 0 white, inset 0 -1px 0 $link-underline-color;
    position: relative;

    &:hover{
      cursor: pointer;
    }
}

a::after{
    content: "";
    width: 100%;
    height: 0px;
    position: absolute;
    bottom: 0px;
    left: 0px;
    transition: all 300ms ease-in-out;
    mix-blend-mode: normal;
    background-color: rgba( $link-underline-color, 0.4);
}

a:hover::after{
    height: 100%;
}

*:focus {
    outline:0;  // Remove blue border in chrome
}

//headlines
h1 {
    font-size: $font-size-huge;
    font-weight: 500;
}

h2 {
    font-size: $font-size-biggest;
    font-weight: 600;
}

// Main text container
div.text-container {
  max-width: 750px;
  margin: auto;
}

div#app-container {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  overflow-x: hidden;
}

div.content-container {
margin-left: 3%;
margin-right: 3%;
line-height: 1.75em;
padding: 30px;
padding-top: 10px;
font-size: $font-size-regular;
background-color: white;
position: relative;
border-radius: 5px;
box-shadow: 4px 4px 7px rgba($color-gray-1, 0.3);

h2 {
    margin-bottom: 20px;
    margin-top: 30px;
}
}
